"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AuthenticationException = void 0;
const microservices_1 = require("@nestjs/microservices");
const grpc_js_1 = require("@grpc/grpc-js");
class AuthenticationException extends microservices_1.RpcException {
    constructor(message) {
        super({
            code: grpc_js_1.status.UNAUTHENTICATED,
            message: message,
        });
    }
}
exports.AuthenticationException = AuthenticationException;
