import { CanActivate, ExecutionContext } from '@nestjs/common';
import { Observable } from 'rxjs';
import { KeycloakAuthService } from '../services/keycloak.service';
export declare class RoleGuard implements CanActivate {
    private keycloakAuthService;
    private reflector;
    constructor(keycloakAuthService: KeycloakAuthService);
    canActivate(context: ExecutionContext): boolean | Promise<boolean> | Observable<boolean>;
    evaluate(token: string, role: string): Promise<boolean>;
}
