"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AuthorizationException = void 0;
const microservices_1 = require("@nestjs/microservices");
const grpc_js_1 = require("@grpc/grpc-js");
class AuthorizationException extends microservices_1.RpcException {
    constructor() {
        super({
            code: grpc_js_1.status.PERMISSION_DENIED,
            message: 'You are not authorized to perform this action',
        });
    }
}
exports.AuthorizationException = AuthorizationException;
