import { ConfigService } from '@nestjs/config';
export interface IKeycloakUserInfo {
    sub: string;
    email: string;
    userId: string;
}
export declare class KeycloakAuthService {
    private configService;
    private keycloak;
    constructor(configService: ConfigService);
    isAuthenticated(authorizationHeader: string): Promise<string | boolean>;
    userHasRole(token: string, role: string): Promise<boolean>;
    userInfo(token: string): Promise<IKeycloakUserInfo>;
}
